<?php
 /**
 * Magic CMS 推荐位
 * ============================================================================
 * Copyright 2014 大秦科技，并保留所有权利。
 * 网站地址: http://www.qintech.net；
 * ----------------------------------------------------------------------------
 * 未获商业授权之前，不得将Magic CMS用于商业用途（包括但不限于企业网站、经营性网站
 * 以营利为目的或实现盈利的网站）未经官方许可，禁止在Magic CMS的整体或任何部分基础
 * 上以发展任何派生版本、修改版本或第三方版本用于重新分发。如果您未能遵守本协议的
 * 条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。
 * ============================================================================
 * Date:2014/12/31
**/
class IndexModule extends CommonModule{

	public function index(){
		$list = M('flag')->order('id asc')->all();

		foreach($list as $key=>$value){
			if ($value['model']!='-1') {
				$model = M('model')->where("status=1 AND value='".$value['model']."'")->find();
				$list[$key]['model'] = $model['model'];
			}

		}

		$this->assign('list',$list);
		$this->display();
	}

	public function edit(){
		$id    = Q('get.id','','intval');
		$model = M('model')->where('status=1')->order('id asc')->all();
		if (!empty($id)){
			$flag = M('flag')->where("id=$id")->find();
			$this->assign('flag',$flag);
		}
		$this->assign('model',$model);
		$this->display();
	}


	public function save(){
		if(IS_POST){
			$data = Q('post.');
			$db   = M('flag');
			$db->validate = array(
					array('title', 'nonull', '请输入名称',2,3),
					array('flag', 'nonull', '请输入属性值',2,3),
				);
			if (!$db->create($data)){$this->error($db->error);}

			$result = $db->replace($data);

			if ($result){
				$this->success('保存成功','?r=flag');
			}else{
				$this->error('保存失败');
			}
		}else{
			$this->error('非法请求');
		}
	}


	public function del(){
		$id     = Q('get.id');
		if (empty($id)){$this->error('参数错误');}
		$result = M('flag')->del($id);
		if ($result){
			$this->success('删除成功',$_SERVER['HTTP_REFERER']);
		}else{
			$this->error('删除失败',$_SERVER['HTTP_REFERER']);
		}
	}
}